Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.service.impl
Class EngineCacheDeleteListener

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.RepositoryEventListenerSupport
          com.jaspersoft.jasperserver.api.engine.jasperreports.service.impl.EngineCacheDeleteListener

All Implemented Interfaces:
  RepositoryEventListener

    public class EngineCacheDeleteListener

extends RepositoryEventListenerSupport

Version:
  $Id: EngineCacheDeleteListener.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`EngineCacheDeleteListener()`

Method Summary
`EngineService` | `getEngine()`
`void` | `onResourceDelete(java.lang.Class resourceItf, java.lang.String resourceURI)`
`void` | `setEngine(EngineService engine)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.RepositoryEventListenerSupport
`onFolderDelete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EngineCacheDeleteListener

    public EngineCacheDeleteListener()

Method Detail

### onResourceDelete

    public void onResourceDelete(java.lang.Class resourceItf,
                                 java.lang.String resourceURI)

  Specified by:
    `onResourceDelete` in interface `RepositoryEventListener`
  Overrides:
    `onResourceDelete` in class `RepositoryEventListenerSupport`

### getEngine

    public EngineService getEngine()

### setEngine

    public void setEngine(EngineService engine)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.